Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class PoolBackedDataSourceBase

    java.lang.Object
      com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
          com.mchange.v2.c3p0.impl.IdentityTokenResolvable
              com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

All Implemented Interfaces:
  IdentityTokenized, java.io.Serializable, javax.naming.Referenceable

Direct Known Subclasses:
  AbstractPoolBackedDataSource

    public class PoolBackedDataSourceBase

extends IdentityTokenResolvable
implements javax.naming.Referenceable, java.io.Serializable

This class was generated by com.mchange.v2.c3p0.codegen.BeangenDataSourceGenerator.

See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyChangeSupport` | `pcs`
`protected java.beans.VetoableChangeSupport` | `vcs`

Constructor Summary
`PoolBackedDataSourceBase(boolean autoregister)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` | `addPropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener pcl)`
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener vcl)`
`protected java.lang.String` | `extraToStringInfo()`
`javax.sql.ConnectionPoolDataSource` | `getConnectionPoolDataSource()`
`java.lang.String` | `getDataSourceName()`
`java.lang.String` | `getFactoryClassLocation()`
`java.lang.String` | `getIdentityToken()`
`int` | `getNumHelperThreads()`
`java.beans.PropertyChangeListener[]` | `getPropertyChangeListeners()`
`protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
`javax.naming.Reference` | `getReference()`
`java.beans.VetoableChangeListener[]` | `getVetoableChangeListeners()`
`protected java.beans.VetoableChangeSupport` | `getVetoableChangeSupport()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` | `removePropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener pcl)`
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener vcl)`
`void` | `setConnectionPoolDataSource(javax.sql.ConnectionPoolDataSource connectionPoolDataSource)`
`void` | `setDataSourceName(java.lang.String dataSourceName)`
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
`void` | `setIdentityToken(java.lang.String identityToken)`
`void` | `setNumHelperThreads(int numHelperThreads)`
`java.lang.String` | `toString()`

Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable
`doResolve, readResolve, verifyResolve`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pcs

    protected java.beans.PropertyChangeSupport pcs

### vcs

    protected java.beans.VetoableChangeSupport vcs

Constructor Detail

### PoolBackedDataSourceBase

    public PoolBackedDataSourceBase(boolean autoregister)

Method Detail

### getPropertyChangeSupport

    protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

### getVetoableChangeSupport

    protected java.beans.VetoableChangeSupport getVetoableChangeSupport()

### getConnectionPoolDataSource

    public javax.sql.ConnectionPoolDataSource getConnectionPoolDataSource()

### setConnectionPoolDataSource

    public void setConnectionPoolDataSource(javax.sql.ConnectionPoolDataSource connectionPoolDataSource)
                                     throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### getDataSourceName

    public java.lang.String getDataSourceName()

### setDataSourceName

    public void setDataSourceName(java.lang.String dataSourceName)

### getFactoryClassLocation

    public java.lang.String getFactoryClassLocation()

### setFactoryClassLocation

    public void setFactoryClassLocation(java.lang.String factoryClassLocation)

### getIdentityToken

    public java.lang.String getIdentityToken()

  Specified by:
    `getIdentityToken` in interface `IdentityTokenized`

### setIdentityToken

    public void setIdentityToken(java.lang.String identityToken)

  Specified by:
    `setIdentityToken` in interface `IdentityTokenized`

### getNumHelperThreads

    public int getNumHelperThreads()

### setNumHelperThreads

    public void setNumHelperThreads(int numHelperThreads)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propName,
                                          java.beans.PropertyChangeListener pcl)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propName,
                                             java.beans.PropertyChangeListener pcl)

### getPropertyChangeListeners

    public java.beans.PropertyChangeListener[] getPropertyChangeListeners()

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener vcl)

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener vcl)

### getVetoableChangeListeners

    public java.beans.VetoableChangeListener[] getVetoableChangeListeners()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### extraToStringInfo

    protected java.lang.String extraToStringInfo()

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD